Merge "Add sigul signing to maven-stage job"
[releng/global-jjb.git] / shell / sigul-sign-dir.sh
diff --git a/shell/sigul-sign-dir.sh b/shell/sigul-sign-dir.sh
new file mode 100644 (file)
index 0000000..8bb7bea
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/bash -l
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2018 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> sigul-sign-dir.sh"
+
+# Ensure we fail the job if any steps fail.
+set -e -o pipefail
+
+lftools_activate
+lftools sign sigul "${SIGN_DIR}"